curl --request PUT \
--url https://api.eu.bronto.io/forward-configs/{forwardId} \
--header 'Content-Type: application/json' \
--header 'X-BRONTO-API-KEY: <api-key>' \
--data @- <<EOF
{
"name": "Archive data to S3",
"compression": "ZSTD",
"all_logs": true,
"destination": {
"destination_type": "S3",
"bucket": "my-archive-bucket",
"prefix": "bronto/archives/",
"storage_class": "STANDARD"
},
"description": "Sending data to S3 for long term store",
"filter": "level='ERROR' or level='WARN'",
"log_ids": [
"<string>"
],
"max_payload_size_bytes": 10000000,
"max_payload_size_events": 1000,
"max_buffer_time_ms": 300000
}
EOFimport requests
url = "https://api.eu.bronto.io/forward-configs/{forwardId}"
payload = {
"name": "Archive data to S3",
"compression": "ZSTD",
"all_logs": True,
"destination": {
"destination_type": "S3",
"bucket": "my-archive-bucket",
"prefix": "bronto/archives/",
"storage_class": "STANDARD"
},
"description": "Sending data to S3 for long term store",
"filter": "level='ERROR' or level='WARN'",
"log_ids": ["<string>"],
"max_payload_size_bytes": 10000000,
"max_payload_size_events": 1000,
"max_buffer_time_ms": 300000
}
headers = {
"X-BRONTO-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-BRONTO-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Archive data to S3',
compression: 'ZSTD',
all_logs: true,
destination: {
destination_type: 'S3',
bucket: 'my-archive-bucket',
prefix: 'bronto/archives/',
storage_class: 'STANDARD'
},
description: 'Sending data to S3 for long term store',
filter: 'level=\'ERROR\' or level=\'WARN\'',
log_ids: ['<string>'],
max_payload_size_bytes: 10000000,
max_payload_size_events: 1000,
max_buffer_time_ms: 300000
})
};
fetch('https://api.eu.bronto.io/forward-configs/{forwardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Archive data to S3",
"compression": "ZSTD",
"all_logs": true,
"destination": {
"destination_type": "S3",
"bucket": "my-archive-bucket",
"prefix": "bronto/archives/",
"storage_class": "STANDARD"
},
"created_at": 1710948395538,
"description": "Sending data to S3 for long term store",
"filter": "level='ERROR' or level='WARN'",
"log_ids": [
"<string>"
],
"max_payload_size_bytes": 10000000,
"max_payload_size_events": 1000,
"max_buffer_time_ms": 300000
}{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}{
"code": 201,
"correlation_id": "<string>",
"message": "<string>"
}Update an existing forward config
Update a forward config, to forward log events outside the Bronto system (e.g. archive logs in an S3 bucket)
Authorizations
Path Parameters
The ID of the config to update
Body
The name of the config
1 - 255"Archive data to S3"
The compression algorithm to use, to reduce the payload size (ZSTD recommended)
ZSTD, GZIP, NONE True to forward all logs, logs created in future will be automatically forwarded
Show child attributes
Show child attributes
Extra contextual information to add to the forward config.
1000"Sending data to S3 for long term store"
Optional filter, to forward only some events and discard others
2000"level='ERROR' or level='WARN'"
The list of log ids to forward. Required if all_logs is set to false, ignored if all_logs is set to true
The max size of the payload in bytes, before compression. Payload of smaller size can be delivered by the system
1000000 <= x <= 100000000010000000
The max number of log events in a payload. Payloads with less events can be delivered by the system
1000 <= x <= 10000000001000
The maximum time waited by the system while buffering events to build a payload
60000 <= x <= 86400000300000
Response
Forward config is successfully updated
unique identifier for the config
The name of the config
1 - 255"Archive data to S3"
The compression to use to reduce the payload size
ZSTD, GZIP, NONE True to forward all logs, logs created in future will be automatically forwarded
Show child attributes
Show child attributes
The timestamp when the config was created
1710948395538
Extra contextual information to add to the forward config.
1000"Sending data to S3 for long term store"
Optional filter to forward only some events and discard others
2000"level='ERROR' or level='WARN'"
The list of log ids to forward. Required if all_logs is set to false, ignored if all_logs is set to true
The max size of the payload in bytes, before compression. Payload of smaller size can be delivered by the system
1000000 <= x <= 100000000010000000
The max number of log events in a payload. Payloads with less events can be delivered by the system
1000 <= x <= 10000000001000
The maximum time waited by the system while buffering events to build a payload.
60000 <= x <= 86400000300000

